package cz.moneta.test.dsl.salesforce.data;

import cz.moneta.test.dsl.salesforce.data.enums.ProductPotential;
import lombok.Builder;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Arrays;


@Data
@Builder
public class OpportunityData {
    protected String account;
    protected String initiator;
    protected String category;
    protected String source;
    protected String branch;
    protected int amount;
    protected String currency;
    protected String signatureDate;
    protected String pipeline;
    protected int probability;
    protected List<ProductPotential> productPotential;
    protected String description;

    public OpportunityData getInvestmentOpportunity() {
        return OpportunityData.builder()
                .initiator("Klient")
                .category("Komerční úvěr")
                .branch("MONETA Money Bank - České Budějovice - Jírovcova")
                .amount(300000)
                .currency("CZK")
                .probability(100)
                .productPotential(new ArrayList<>(Arrays.asList(ProductPotential.INVESTMENT)))
                .build();
    }
}
